org.eclipse.viatra.cep.emf.notification.model

## Class CepFactory

- java.lang.Object
- - org.eclipse.viatra.cep.emf.notification.model.CepFactory

-     public class CepFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CepFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Class<? extends ICepRule>>` | `allRules()` Factory method for instantiating every defined rule.
    `ADD_Event` | `createADD_Event()` Factory method for event class `ADD_Event`.
    `ADD_Event` | `createADD_Event(EventSource eventSource)` Factory method for event class `ADD_Event`.
    `ADD_MANY_Event` | `createADD_MANY_Event()` Factory method for event class `ADD_MANY_Event`.
    `ADD_MANY_Event` | `createADD_MANY_Event(EventSource eventSource)` Factory method for event class `ADD_MANY_Event`.
    `ADD_MANY_Pattern` | `createADD_MANY_Pattern()` Factory method for atomic event pattern `ADD_MANY_Pattern`.
    `ADD_Pattern` | `createADD_Pattern()` Factory method for atomic event pattern `ADD_Pattern`.
    `MOVE_Event` | `createMOVE_Event()` Factory method for event class `MOVE_Event`.
    `MOVE_Event` | `createMOVE_Event(EventSource eventSource)` Factory method for event class `MOVE_Event`.
    `MOVE_Pattern` | `createMOVE_Pattern()` Factory method for atomic event pattern `MOVE_Pattern`.
    `REMOVE_Event` | `createREMOVE_Event()` Factory method for event class `REMOVE_Event`.
    `REMOVE_Event` | `createREMOVE_Event(EventSource eventSource)` Factory method for event class `REMOVE_Event`.
    `REMOVE_MANY_Event` | `createREMOVE_MANY_Event()` Factory method for event class `REMOVE_MANY_Event`.
    `REMOVE_MANY_Event` | `createREMOVE_MANY_Event(EventSource eventSource)` Factory method for event class `REMOVE_MANY_Event`.
    `REMOVE_MANY_Pattern` | `createREMOVE_MANY_Pattern()` Factory method for atomic event pattern `REMOVE_MANY_Pattern`.
    `REMOVE_Pattern` | `createREMOVE_Pattern()` Factory method for atomic event pattern `REMOVE_Pattern`.
    `RESOLVE_Event` | `createRESOLVE_Event()` Factory method for event class `RESOLVE_Event`.
    `RESOLVE_Event` | `createRESOLVE_Event(EventSource eventSource)` Factory method for event class `RESOLVE_Event`.
    `RESOLVE_Pattern` | `createRESOLVE_Pattern()` Factory method for atomic event pattern `RESOLVE_Pattern`.
    `SET_Event` | `createSET_Event()` Factory method for event class `SET_Event`.
    `SET_Event` | `createSET_Event(EventSource eventSource)` Factory method for event class `SET_Event`.
    `SET_Pattern` | `createSET_Pattern()` Factory method for atomic event pattern `SET_Pattern`.
    `UNSET_Event` | `createUNSET_Event()` Factory method for event class `UNSET_Event`.
    `UNSET_Event` | `createUNSET_Event(EventSource eventSource)` Factory method for event class `UNSET_Event`.
    `UNSET_Pattern` | `createUNSET_Pattern()` Factory method for atomic event pattern `UNSET_Pattern`.
    `static CepFactory` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CepFactory

          public CepFactory()

  - ### Method Detail

    - #### getInstance

          public static CepFactory getInstance()

    - #### createADD_Event

          public ADD_Event createADD_Event(EventSource eventSource)

      Factory method for event class `ADD_Event`.

    - #### createADD_Event

          public ADD_Event createADD_Event()

      Factory method for event class `ADD_Event`.

    - #### createADD_MANY_Event

          public ADD_MANY_Event createADD_MANY_Event(EventSource eventSource)

      Factory method for event class `ADD_MANY_Event`.

    - #### createADD_MANY_Event

          public ADD_MANY_Event createADD_MANY_Event()

      Factory method for event class `ADD_MANY_Event`.

    - #### createMOVE_Event

          public MOVE_Event createMOVE_Event(EventSource eventSource)

      Factory method for event class `MOVE_Event`.

    - #### createMOVE_Event

          public MOVE_Event createMOVE_Event()

      Factory method for event class `MOVE_Event`.

    - #### createREMOVE_Event

          public REMOVE_Event createREMOVE_Event(EventSource eventSource)

      Factory method for event class `REMOVE_Event`.

    - #### createREMOVE_Event

          public REMOVE_Event createREMOVE_Event()

      Factory method for event class `REMOVE_Event`.

    - #### createREMOVE_MANY_Event

          public REMOVE_MANY_Event createREMOVE_MANY_Event(EventSource eventSource)

      Factory method for event class `REMOVE_MANY_Event`.

    - #### createREMOVE_MANY_Event

          public REMOVE_MANY_Event createREMOVE_MANY_Event()

      Factory method for event class `REMOVE_MANY_Event`.

    - #### createRESOLVE_Event

          public RESOLVE_Event createRESOLVE_Event(EventSource eventSource)

      Factory method for event class `RESOLVE_Event`.

    - #### createRESOLVE_Event

          public RESOLVE_Event createRESOLVE_Event()

      Factory method for event class `RESOLVE_Event`.

    - #### createSET_Event

          public SET_Event createSET_Event(EventSource eventSource)

      Factory method for event class `SET_Event`.

    - #### createSET_Event

          public SET_Event createSET_Event()

      Factory method for event class `SET_Event`.

    - #### createUNSET_Event

          public UNSET_Event createUNSET_Event(EventSource eventSource)

      Factory method for event class `UNSET_Event`.

    - #### createUNSET_Event

          public UNSET_Event createUNSET_Event()

      Factory method for event class `UNSET_Event`.

    - #### createADD_Pattern

          public ADD_Pattern createADD_Pattern()

      Factory method for atomic event pattern `ADD_Pattern`.

    - #### createADD_MANY_Pattern

          public ADD_MANY_Pattern createADD_MANY_Pattern()

      Factory method for atomic event pattern `ADD_MANY_Pattern`.

    - #### createMOVE_Pattern

          public MOVE_Pattern createMOVE_Pattern()

      Factory method for atomic event pattern `MOVE_Pattern`.

    - #### createREMOVE_Pattern

          public REMOVE_Pattern createREMOVE_Pattern()

      Factory method for atomic event pattern `REMOVE_Pattern`.

    - #### createREMOVE_MANY_Pattern

          public REMOVE_MANY_Pattern createREMOVE_MANY_Pattern()

      Factory method for atomic event pattern `REMOVE_MANY_Pattern`.

    - #### createRESOLVE_Pattern

          public RESOLVE_Pattern createRESOLVE_Pattern()

      Factory method for atomic event pattern `RESOLVE_Pattern`.

    - #### createSET_Pattern

          public SET_Pattern createSET_Pattern()

      Factory method for atomic event pattern `SET_Pattern`.

    - #### createUNSET_Pattern

          public UNSET_Pattern createUNSET_Pattern()

      Factory method for atomic event pattern `UNSET_Pattern`.

    - #### allRules

          public java.util.List<java.lang.Class<? extends ICepRule>> allRules()

      Factory method for instantiating every defined rule.